Bug 1538448 - [RFE] Need to back up SSH keys for remote execution by katello-backup|restore
Summary: [RFE] Need to back up SSH keys for remote execution by katello-backup|restore
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Backup & Restore
Version: 6.2.12
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: 6.4.0
Assignee: Chris Roberts
QA Contact: Ales Dujicek
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 06:43 UTC by Shivdutt Bharadwaj
Modified: 2019-11-05 23:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:30:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:31:57 UTC
Foreman Issue Tracker 22607 'Normal' 'Closed' '[RFE] Need to back up SSH keys for remote execution by katello-backup|restore' 2019-12-03 13:06:00 UTC
Red Hat Bugzilla 1547175 'high' 'CLOSED' 'Migration steps from RHEL6 to RHEL7 do not include REx ssh key from source server' 2019-12-03 13:05:59 UTC
Red Hat Knowledge Base (Solution) 3367011 None None None 2018-03-01 01:44:18 UTC

Internal Links: 1547175

Description Shivdutt Bharadwaj 2018-01-25 06:43:16 UTC
Description of problem:
During the trial run of backup and recovery of Satellite server by (katello-backup|restore), system could NOT recover the Remote Execution function 
because the ssh private key (/usr/share/foreman-proxy/.ssh/id_rsa_foreman_proxy) was not backed up.


Version-Release number of selected component (if applicable):
satellite 6.2.12

How reproducible:
Always

Steps to Reproduce:
1. Run katello-backup
2. Try to restore from the back up
3. Rex will not work on restored system as ssh-keys were not backed up 

Actual results:
ssh-key not available in backup in katello-backup

Expected results:
ssh-key should be backed up in katello-backup or there should be some option to enable it

Additional info:

Comment 2 pm-sat@redhat.com 2018-02-22 11:01:09 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22607 has been resolved.

Comment 6 errata-xmlrpc 2018-10-16 15:30:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.